/// <reference types="node" />
/// <reference types="node" />
import { Vue } from "vue-property-decorator";
import { MessageUserModule } from "../../modules/MessageUserModule";
import { Manager } from "../../../../types/Manager";
import Timeout = NodeJS.Timeout;
import { ManagerModule } from "../../modules/ManagerModule";
export default class Whisperers extends Vue {
    threadId: number;
    userModule: MessageUserModule;
    managerModule: ManagerModule;
    whisperersUids: string[];
    timeouts: {
        [key: string]: Timeout;
    };
    interval: null | Timeout;
    get managers(): Manager[];
    get currentManager(): Manager;
    created(): void;
    destroyed(): void;
}
